package com.pj.api.dto;


import java.util.Date;

/**
 * Model: tb_cooperative -- 合作社
 * @author lbl
 */
public class CooperativeDto {


	private Long id;

	/**
	 * 名称
	 */
	private String name;

	/**
	 * 法人代表姓名
	 */
	private String correpName;

	/**
	 * 身份证号
	 */
	private String ciphertextIdno;

	/**
	 * 手机号码
	 */
	private String correpTel;

	/**
	 * 营业执照
	 */
	private String businessLicense;

	/**
	 * 银行名称
	 */
	private String bankName;

	/**
	 * 银行账号
	 */
	private String bankAccount;

	/**
	 * 税号
	 */
	private String dutyParagraph;

	/**
	 * 审核状态(0=未通过,1=已通过,2=审核不通过)
	 */
	private String judgeStatus;

	/**
	 * 审核意见
	 */
	private String judgeContent;

	/**
	 * 上次审核时间
	 */
	private Date judgeTime;

	/**
	 * 注册时间
	 */
	private Date registerTime;

	/**
	 * 创建时间
	 */
	private Date createTime;

	/**
	 * 创建人编号
	 */
	private String createBy;

	/**
	 * 创建人名称
	 */
	private String createName;

	/**
	 * 更新时间
	 */
	private Date updateTime;

	/**
	 * 更新人编号
	 */
	private String updateBy;

	/**
	 * 更新人名称
	 */
	private String updateName;

	/**
	 * 删除状态(0=禁用,1=启用)
	 */
	private Integer deleteStatus;

	/**
	 * 0=锁住 1=启用
	 */
	private String isLock;

	/**
	 * 审核人
	 */
	private String judgeBy;

	/**
	 * 贸易区域ID
	 */
	private Long tradeAreaId;

	/**
	 * 贸易区域名称
	 */
	private String tradeAreaName;

	/**
	 * 地方平台的内部业务编号，每次申请都是新编号
	 */
	private String platSeqNo;

	/**
	 * 关区代码
	 */
	private String customsCode;

	/**
	 *  合作社名称
	 */
	private String orgName;

	/**
	 * 社会统一信用代码 证 （ 业 务 主键，变更时该字段不允许修改）
	 */
	private String orgSccd;

	/**
	 * 成立日期
	 */
	private String createDate;

	/**
	 * 所属边境市（县、区）乡镇村屯名称
	 */
	private String address;

	/**
	 * 启停用状态：1- 启用、2-停用、3-注销
	 */
	private String eDStatus;

	/**
	 * 有效效截止时间yyyy-MM-dd
	 */
	private String expiry;

	/**
	 * 备案编号，如果为新增备案，传空值；如果为变更备案，必须传值；
	 */
	private String putrecNo;

	/**
	 * 地方政府编号
	 */
	private String localGovernmentNo;

	/**
	 * 监管场所编号
	 */
	private String fieldCode;

	/**
	 * 监管场所名称
	 */
	private String fieldName;

	/**
	 * 申报状态 D0，暂存，D1 发往海关,D2-发往海关成功， D3-发往海关失败，Y-海关入库成功，N- 海关入库失败，04 退单， 03 通过
	 */
	private String declStatus;

	/**
	 * 边民信息集合List<E> borderList
	 */
	private String borderList;

	/**
	 * 合作社代表信息
	 */
	private String dclBorderList;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCorrepName() {
		return correpName;
	}

	public void setCorrepName(String correpName) {
		this.correpName = correpName;
	}

	public String getCiphertextIdno() {
		return ciphertextIdno;
	}

	public void setCiphertextIdno(String ciphertextIdno) {
		this.ciphertextIdno = ciphertextIdno;
	}

	public String getCorrepTel() {
		return correpTel;
	}

	public void setCorrepTel(String correpTel) {
		this.correpTel = correpTel;
	}

	public String getBusinessLicense() {
		return businessLicense;
	}

	public void setBusinessLicense(String businessLicense) {
		this.businessLicense = businessLicense;
	}

	public String getBankName() {
		return bankName;
	}

	public void setBankName(String bankName) {
		this.bankName = bankName;
	}

	public String getBankAccount() {
		return bankAccount;
	}

	public void setBankAccount(String bankAccount) {
		this.bankAccount = bankAccount;
	}

	public String getDutyParagraph() {
		return dutyParagraph;
	}

	public void setDutyParagraph(String dutyParagraph) {
		this.dutyParagraph = dutyParagraph;
	}

	public String getJudgeStatus() {
		return judgeStatus;
	}

	public void setJudgeStatus(String judgeStatus) {
		this.judgeStatus = judgeStatus;
	}

	public String getJudgeContent() {
		return judgeContent;
	}

	public void setJudgeContent(String judgeContent) {
		this.judgeContent = judgeContent;
	}

	public Date getJudgeTime() {
		return judgeTime;
	}

	public void setJudgeTime(Date judgeTime) {
		this.judgeTime = judgeTime;
	}

	public Date getRegisterTime() {
		return registerTime;
	}

	public void setRegisterTime(Date registerTime) {
		this.registerTime = registerTime;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getCreateBy() {
		return createBy;
	}

	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}

	public String getCreateName() {
		return createName;
	}

	public void setCreateName(String createName) {
		this.createName = createName;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public String getUpdateBy() {
		return updateBy;
	}

	public void setUpdateBy(String updateBy) {
		this.updateBy = updateBy;
	}

	public String getUpdateName() {
		return updateName;
	}

	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	public Integer getDeleteStatus() {
		return deleteStatus;
	}

	public void setDeleteStatus(Integer deleteStatus) {
		this.deleteStatus = deleteStatus;
	}

	public String getIsLock() {
		return isLock;
	}

	public void setIsLock(String isLock) {
		this.isLock = isLock;
	}

	public String getJudgeBy() {
		return judgeBy;
	}

	public void setJudgeBy(String judgeBy) {
		this.judgeBy = judgeBy;
	}

	public Long getTradeAreaId() {
		return tradeAreaId;
	}

	public void setTradeAreaId(Long tradeAreaId) {
		this.tradeAreaId = tradeAreaId;
	}

	public String getTradeAreaName() {
		return tradeAreaName;
	}

	public void setTradeAreaName(String tradeAreaName) {
		this.tradeAreaName = tradeAreaName;
	}

	public String getPlatSeqNo() {
		return platSeqNo;
	}

	public void setPlatSeqNo(String platSeqNo) {
		this.platSeqNo = platSeqNo;
	}

	public String getCustomsCode() {
		return customsCode;
	}

	public void setCustomsCode(String customsCode) {
		this.customsCode = customsCode;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}

	public String getOrgSccd() {
		return orgSccd;
	}

	public void setOrgSccd(String orgSccd) {
		this.orgSccd = orgSccd;
	}

	public String getCreateDate() {
		return createDate;
	}

	public void setCreateDate(String createDate) {
		this.createDate = createDate;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String geteDStatus() {
		return eDStatus;
	}

	public void seteDStatus(String eDStatus) {
		this.eDStatus = eDStatus;
	}

	public String getExpiry() {
		return expiry;
	}

	public void setExpiry(String expiry) {
		this.expiry = expiry;
	}

	public String getPutrecNo() {
		return putrecNo;
	}

	public void setPutrecNo(String putrecNo) {
		this.putrecNo = putrecNo;
	}

	public String getLocalGovernmentNo() {
		return localGovernmentNo;
	}

	public void setLocalGovernmentNo(String localGovernmentNo) {
		this.localGovernmentNo = localGovernmentNo;
	}

	public String getFieldCode() {
		return fieldCode;
	}

	public void setFieldCode(String fieldCode) {
		this.fieldCode = fieldCode;
	}

	public String getFieldName() {
		return fieldName;
	}

	public void setFieldName(String fieldName) {
		this.fieldName = fieldName;
	}

	public String getDeclStatus() {
		return declStatus;
	}

	public void setDeclStatus(String declStatus) {
		this.declStatus = declStatus;
	}

	public String getBorderList() {
		return borderList;
	}

	public void setBorderList(String borderList) {
		this.borderList = borderList;
	}

	public String getDclBorderList() {
		return dclBorderList;
	}

	public void setDclBorderList(String dclBorderList) {
		this.dclBorderList = dclBorderList;
	}

	public CooperativeDto(Long id, String name, String correpName, String ciphertextIdno, String correpTel, String businessLicense, String bankName, String bankAccount, String dutyParagraph, String judgeStatus, String judgeContent, Date judgeTime, Date registerTime, Date createTime, String createBy, String createName, Date updateTime, String updateBy, String updateName, Integer deleteStatus, String isLock, String judgeBy, Long tradeAreaId, String tradeAreaName, String platSeqNo, String customsCode, String orgName, String orgSccd, String createDate, String address, String eDStatus, String expiry, String putrecNo, String localGovernmentNo, String fieldCode, String fieldName, String declStatus, String borderList, String dclBorderList) {
		this.id = id;
		this.name = name;
		this.correpName = correpName;
		this.ciphertextIdno = ciphertextIdno;
		this.correpTel = correpTel;
		this.businessLicense = businessLicense;
		this.bankName = bankName;
		this.bankAccount = bankAccount;
		this.dutyParagraph = dutyParagraph;
		this.judgeStatus = judgeStatus;
		this.judgeContent = judgeContent;
		this.judgeTime = judgeTime;
		this.registerTime = registerTime;
		this.createTime = createTime;
		this.createBy = createBy;
		this.createName = createName;
		this.updateTime = updateTime;
		this.updateBy = updateBy;
		this.updateName = updateName;
		this.deleteStatus = deleteStatus;
		this.isLock = isLock;
		this.judgeBy = judgeBy;
		this.tradeAreaId = tradeAreaId;
		this.tradeAreaName = tradeAreaName;
		this.platSeqNo = platSeqNo;
		this.customsCode = customsCode;
		this.orgName = orgName;
		this.orgSccd = orgSccd;
		this.createDate = createDate;
		this.address = address;
		this.eDStatus = eDStatus;
		this.expiry = expiry;
		this.putrecNo = putrecNo;
		this.localGovernmentNo = localGovernmentNo;
		this.fieldCode = fieldCode;
		this.fieldName = fieldName;
		this.declStatus = declStatus;
		this.borderList = borderList;
		this.dclBorderList = dclBorderList;
	}

	public CooperativeDto() {
	}
}
